VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Source I, Measure V with SourceMeter Instruments"
   ClientHeight    =   3675
   ClientLeft      =   3000
   ClientTop       =   1800
   ClientWidth     =   6885
   LinkTopic       =   "Form1"
   ScaleHeight     =   3675
   ScaleWidth      =   6885
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close Session"
      Height          =   375
      Left            =   720
      TabIndex        =   6
      Top             =   2520
      Width           =   1935
   End
   Begin VB.CommandButton cmdDCIV 
      Caption         =   "Perform DCIV"
      Enabled         =   0   'False
      Height          =   375
      Left            =   720
      TabIndex        =   4
      Top             =   1800
      Width           =   1935
   End
   Begin VB.TextBox txtResource 
      Height          =   375
      Left            =   3120
      TabIndex        =   2
      Text            =   "GPIB0::24::INSTR"
      Top             =   1080
      Width           =   1815
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Open Session"
      Height          =   375
      Left            =   720
      TabIndex        =   1
      Top             =   1080
      Width           =   1935
   End
   Begin VB.Label lblReading 
      BackColor       =   &H8000000E&
      Caption         =   "reading......."
      Height          =   255
      Left            =   3120
      TabIndex        =   5
      Top             =   1920
      Width           =   1575
   End
   Begin VB.Label Label3 
      Caption         =   "Resource Name"
      BeginProperty Font 
         Name            =   "Small Fonts"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   135
      Left            =   3120
      TabIndex        =   3
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      BackColor       =   &H000000FF&
      Caption         =   "  KEITHLEY  "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000E&
      Height          =   435
      Left            =   360
      TabIndex        =   0
      Top             =   240
      Width           =   2295
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
'  Simple VB6 example perform single value source Current and Measure Voltage
'  Tested in Win98SE with VB6 using A01 (initial) release of the VXIPnP driver for
'  2400 Series SourceMeter Instruments
'
'  In Project|References, include the Keithley 24xx driver
'
' use object browser (F2) or help file to
' better understand the parameters and variables
' help file location:  \program files\keithley instruments\24xx\help\
'
'
' declare some variables required by the driver
Dim session As ViSession
Dim status As ViStatus
Dim model As ViInt32
Private Sub cmdClose_Click()
Ke24xx_close (session)
End
End Sub

Private Sub cmdDCIV_Click()
Dim sourceRange, senseRange As ViInt32
Dim sourceCompliance As Double
Dim sourceLevel As Double
Dim reading As Single
Dim speed As ViInt32
Dim numReadings As ViInt32
' assign values......
sourceRange = KE24XX_10M_A_RANGE
senseRange = KE24XX_20_V_RANGE
speed = 0.1             ' NPLC
sourceCompliance = 5  ' volts not to be exceeded.... 5 volts
sourceLevel = 0.001      ' amps to source.... 1mA

' step 1:  configure the measurement
status = Ke24xx_Configure_DC_IV(session, _
                                sourceRange, _
                                sourceCompliance, _
                                senseRange, _
                                sourceLevel, _
                                speed)
                                
If status <> 0 Then DisplayError session, status
                                
' step 2: turn on the output
status = Ke24xx_EnableSourceOutput(session, True)  ' turn it on
If status <> 0 Then DisplayError session, status
' step 3: take the reading
Const KI24XX_READ_VOLTAGE = 1
status = Ke24xx_Read(session, KI24XX_READ_VOLTAGE, numReadings, reading)
If status <> 0 Then DisplayError session, status
' stop 4: turn off the output
status = Ke24xx_EnableSourceOutput(session, False)  ' turn it off
If status <> 0 Then DisplayError session, status
If status = 0 Then
lblReading.Caption = Format(reading, "##.###0")
Else
lblReading.Caption = "Error has occured...."
End If
End Sub

Private Sub cmdOpen_Click()
status = Ke24xx_init(txtResource.Text, model, session)

If status <> 0 Then
MsgBox "Could not open a session.  Verify the address of your SourceMeter", vbCritical
Else
status = Ke24xx_reset(session)  ' reset the instrument
cmdDCIV.Enabled = True          ' enable other command button
End If
End Sub
   
Public Function DisplayError(sesn As ViSession, nErr As ViStatus)

Dim errMsg As String * 256
Dim err As ViStatus
Dim code As ViInt32


    If nErr = KE24XX_DEVICE_ERROR Then
        err = Ke24xx_GetLastError(sesn, code, errMsg)
        MsgBox "Error = " & Str(code) & "  " & errMsg, vbOKOnly
    Else
        err = Ke24xx_error_message(sesn, nErr, errMsg)
        If err <> 0 Then
            MsgBox "Error= " & Hex(nErr), vbOKOnly
        Else
            MsgBox "Error= " & Hex(nErr) & "  " & errMsg, vbOKOnly
        End If
    End If
End Function

